#!/bin/sh
# McPics install.sh

#this script is a bit rough, but it does the job.

#no trailing slashes on paths in this file!

#perhaps BINPATH='/home/<user>/bin' if you dont
#want a systemwide install
BINPATH='/usr/bin'

#and maybe SHAREPATH='/home/<user>/mcpics' ?
SHAREPATH='/usr/share/mcpics'

mkdir $SHAREPATH

echo "copying mcpics to ${BINPATH}/mcpics"
cp ${PWD}/mcpics $BINPATH
echo ". . . done"

echo "copying index.php, mcpics.php, mcpics.css to ${SHAREPATH}/"
cp -v ${PWD}/index.php $SHAREPATH
cp -v ${PWD}/mcpics.php $SHAREPATH
cp -v ${PWD}/mcpics.css $SHAREPATH
echo "done."

#comment out these next lines if you put mcpics
#in a directory that is not controlled by root
#(like if you put it somewhere in your home dir)

chown root:root ${BINPATH}/mcpics
chmod 755 ${BINPATH}/mcpics
chown root:root ${SHAREPATH}/mcpics.php
chown root:root ${SHAREPATH}/mcpics.css
chown root:root ${SHAREPATH}/index.php
chmod 644 ${SHAREPATH}/mcpics.php
chmod 644 ${SHAREPATH}/mcpics.css
chmod 644 ${SHAREPATH}/index.php

echo -e "\nMcPics successfully installed!"

exit 0
